Agents
Delete an agent
Deletes an agent. For hosted agents, if any version has active sessions, the request
is rejected with HTTP 409 unless force is set to true. When force is true, all
associated sessions are cascade-deleted along with the agent and its versions.
Elérési útvonal paraméterei
agent_name
string
kötelező
The name of the agent to delete.
Paraméterek lekérdezése
force
boolean
For Hosted Agents, if true, force-deletes the agent even if its versions have active sessions, cascading deletion to all associated sessions. The service defaults to false if a value is not specified by the caller. This value is not relevant for other Agent types.
api-version
string
kötelező
The API version to use for this operation.
Válaszok
The request has succeeded.
Törzs
object
enum
kötelező
The object type. Always 'agent.deleted'.
name
string
kötelező
The name of the agent.
deleted
boolean
kötelező
Whether the agent was successfully deleted.
Kérés
DELETE /agents/{agent_name} HTTP/1.1
Válasz
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json